Update Widget Config#
Update Widget Config. Use the public agent id from List Agents. This path only accepts agents allowed by the company package.
Bearer token in the format: Bearer {access_token}
Public agent id from List Agents
max 100. may be null. send only when changing this field
max 50. may be null. send only when changing this field
max 50. may be null. send only when changing this field
max 50. may be null. send only when changing this field
max 50. may be null. send only when changing this field
max 50. may be null. send only when changing this field
max 50. may be null. send only when changing this field
One of: 0. min 0. max 100. may be null. send only when changing this field
One of: 0. min 0. max 100. may be null. send only when changing this field
max 255. may be null. send only when changing this field
max 255. may be null. send only when changing this field
max 255. may be null. send only when changing this field
max 255. may be null. send only when changing this field
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/widget/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"popup_position":"value","background_color":"value","text_color":"value","button_color":"value","button_text_color":"value","border_color":"value","focus_outline_color":"value","card_radius":1,"button_radius":1,"start_call_text":"value","end_call_text":"value","call_to_action_text":"value","speaking_status_text":"value"}'true when the call succeeds. Some list responses use status: success instead
The saved record, or the list of records